<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=us-ascii">
</head>
<body>
<div id="compose" contenteditable="true" style="padding-left: 16px; padding-right: 16px; padding-bottom: 8px;">
<div>In my case I also had to install lua51 (which may be unnecessary). Also you need to set the "luajit_CFLAGS" and "luajit_LIBS" when compiling Snort.</div>
<div><br>
</div>
</div>
<div class="gmail_quote">_____________________________<br>
From: Avery Rozar <<a dir="ltr" href="mailto:avery.rozar@...17372..." x-apple-data-detectors="true" x-apple-data-detectors-type="link" x-apple-data-detectors-result="0">avery.rozar@...17372...</a>><br>
Sent: Monday, December 7, 2015 9:53 PM<br>
Subject: [Snort-users] --enable-open-appid failing even though luajit is installed<br>
To: <<a dir="ltr" href="mailto:snort-users@lists.sourceforge.net" x-apple-data-detectors="true" x-apple-data-detectors-type="link" x-apple-data-detectors-result="2">snort-users@lists.sourceforge.net</a>>, <<a dir="ltr" href="mailto:snort-devel@lists.sourceforge.net" x-apple-data-detectors="true" x-apple-data-detectors-type="link" x-apple-data-detectors-result="3">snort-devel@lists.sourceforge.net</a>><br>
<br>
<br>
<meta content="text/html; charset=utf-8">
<div dir="ltr">I'm trying trying to install Snort 2.8 on FreeBSD with the --enable-open-appid configuration option. It's failing complaining that luajit is not installed. I did install luajit 2.0.4 from source with default options and verified with "which luajit",
 this is the response "/usr/local/bin/luajit". There does not seem to be an option for "--with-luajit-libraries=DIR" in the ./configure --help. 
<p class=""><span class="">checking for luajit... no</span></p>
<p class="">  ERROR!  LuaJIT library not found.....</p>
<p class="">Am I missing another dependency?<br>
</p>
<p class="">Thanks,<br>
</p>
<p class=""><br>
</p>
<p class="">Avery</p>
</div>
<br>
<br>
</div>
</body>
</html>